Subject: Re: bug#64505: bug report

From: Josselin Poiret <[email-masked]>
Date: Thu, 13 Jul 2023 19:14:44 +0200

Hi,

Josselin Poiret <[email-masked]> writes:

> You seem to have a quite old version of Guix, along with Guile 2.x, and
> there raise-exception doesn't exist, but it is indirectly being used
> when building Guix.
>
> You can either try to pull in small increments (I think 1.1 -> 1.2 ->
> 1.3 -> master should do it) for now, but we should also fix this use of
> raise-exception: it should be `raise` from srfi-34/35 instead.

I've pushed a fix for this as d17879cd0dec60ea7490632910257890f207d6cb.

Preemptively closing, feel free to re-open if this doesn't work.

Best,
-- 
Josselin Poiret